MagickCore: image.c File Reference

# image.c File Reference

`#include "magick/studio.h"`
`#include "magick/animate.h"`
`#include "magick/artifact.h"`
`#include "magick/blob.h"`
`#include "magick/blob-private.h"`
`#include "magick/cache.h"`
`#include "magick/cache-private.h"`
`#include "magick/cache-view.h"`
`#include "magick/client.h"`
`#include "magick/color.h"`
`#include "magick/color-private.h"`
`#include "magick/colorspace.h"`
`#include "magick/colorspace-private.h"`
`#include "magick/composite.h"`
`#include "magick/composite-private.h"`
`#include "magick/compress.h"`
`#include "magick/constitute.h"`
`#include "magick/deprecate.h"`
`#include "magick/display.h"`
`#include "magick/draw.h"`
`#include "magick/enhance.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/gem.h"`
`#include "magick/geometry.h"`
`#include "magick/list.h"`
`#include "magick/image-private.h"`
`#include "magick/magic.h"`
`#include "magick/magick.h"`
`#include "magick/memory_.h"`
`#include "magick/module.h"`
`#include "magick/monitor.h"`
`#include "magick/option.h"`
`#include "magick/paint.h"`
`#include "magick/pixel-private.h"`
`#include "magick/profile.h"`
`#include "magick/property.h"`
`#include "magick/quantize.h"`
`#include "magick/random_.h"`
`#include "magick/segment.h"`
`#include "magick/semaphore.h"`
`#include "magick/signature.h"`
`#include "magick/string_.h"`
`#include "magick/threshold.h"`
`#include "magick/timer.h"`
`#include "magick/utility.h"`
`#include "magick/version.h"`
`#include "magick/xwindow-private.h"`

## Defines
#define | AppendImageTag "Append/Image"
#define | AverageImageTag "Average/Image"
#define | ClipImagePathTag "ClipPath/Image"
#define | CombineImageTag "Combine/Image"
#define | SeparateImageTag "Separate/Image"
#define | TextureImageTag "Texture/Image"
## Functions
MagickExport ImageInfo * | AcquireImageInfo (void)
MagickExport Image * | AllocateImage (const ImageInfo *image_info)
static unsigned long | MagickMax (const unsigned long x, const unsigned long y)
static unsigned long | MagickMin (const unsigned long x, const unsigned long y)
MagickExport MagickBooleanType | AllocateImageColormap (Image *image, const unsigned long colors)
MagickExport void | AllocateNextImage (const ImageInfo *image_info, Image *image)
MagickExport Image * | AppendImages (const Image *image, const MagickBooleanType stack, ExceptionInfo *exception)
MagickExport Image * | AverageImages (const Image *image, ExceptionInfo *exception)
MagickExport ExceptionType | CatchImageException (Image *image)
MagickExport MagickBooleanType | ClipImage (Image *image)
MagickExport MagickBooleanType | ClipImagePath (Image *image, const char *pathname, const MagickBooleanType inside)
MagickExport Image * | CloneImage (const Image *image, const unsigned long columns, const unsigned long rows, const MagickBooleanType orphan, ExceptionInfo *exception)
MagickExport ImageInfo * | CloneImageInfo (const ImageInfo *image_info)
MagickExport Image * | CombineImages (const Image *image, const ChannelType channel, ExceptionInfo *exception)
MagickExport MagickBooleanType | CycleColormapImage (Image *image, const long displace)
MagickExport Image * | DestroyImage (Image *image)
MagickExport ImageInfo * | DestroyImageInfo (ImageInfo *image_info)
MagickExport void | DisassociateImageStream (Image *image)
MagickExport Image * | GetImageClipMask (const Image *image, ExceptionInfo *exception)
MagickExport void | GetImageException (Image *image, ExceptionInfo *exception)
MagickExport void | GetImageInfo (ImageInfo *image_info)
MagickExport Image * | GetImageMask (const Image *image, ExceptionInfo *exception)
MagickExport ImageType | GetImageType (const Image *image, ExceptionInfo *exception)
MagickExport VirtualPixelMethod | GetImageVirtualPixelMethod (const Image *image)
MagickExport MagickBooleanType | GradientImage (Image *image, const PixelPacket *start_color, const PixelPacket *stop_color)
MagickExport long | InterpretImageFilename (char *string, const size_t length, const char *format, int value)
MagickExport MagickBooleanType | IsHighDynamicRangeImage (const Image *image, ExceptionInfo *exception)
MagickExport MagickBooleanType | IsImageObject (const Image *image)
MagickExport MagickBooleanType | IsTaintImage (const Image *image)
MagickExport MagickBooleanType | ModifyImage (Image **image, ExceptionInfo *exception)
MagickExport Image * | NewMagickImage (const ImageInfo *image_info, const unsigned long width, const unsigned long height, const MagickPixelPacket *background)
static Quantum | PlasmaPixel (const MagickRealType pixel, const MagickRealType noise)
MagickExport MagickBooleanType | PlasmaImage (Image *image, const SegmentInfo *segment, unsigned long attenuate, unsigned long depth)
MagickExport Image * | ReferenceImage (Image *image)
MagickExport MagickBooleanType | ResetImagePage (Image *image, const char *page)
MagickExport MagickBooleanType | SeparateImageChannel (Image *image, const ChannelType channel)
MagickExport Image * | SeparateImages (const Image *image, const ChannelType channel, ExceptionInfo *exception)
MagickExport MagickBooleanType | SetImageAlphaChannel (Image *image, const AlphaChannelType alpha_type)
MagickExport MagickBooleanType | SetImageBackgroundColor (Image *image)
MagickExport MagickBooleanType | SetImageStorageClass (Image *image, const ClassType storage_class)
MagickExport MagickBooleanType | SetImageClipMask (Image *image, const Image *clip_mask)
MagickExport MagickBooleanType | SetImageExtent (Image *image, const unsigned long columns, const unsigned long rows)
MagickExport MagickBooleanType | SetImageInfo (ImageInfo *image_info, const MagickBooleanType rectify, ExceptionInfo *exception)
MagickExport void | SetImageInfoBlob (ImageInfo *image_info, const void *blob, const size_t length)
MagickExport void | SetImageInfoFile (ImageInfo *image_info, FILE *file)
MagickExport MagickBooleanType | SetImageMask (Image *image, const Image *mask)
MagickExport MagickBooleanType | SetImageOpacity (Image *image, const Quantum opacity)
MagickExport MagickBooleanType | SetImageType (Image *image, const ImageType image_type)
MagickExport VirtualPixelMethod | SetImageVirtualPixelMethod (const Image *image, const VirtualPixelMethod virtual_pixel_method)
static int | IntensityCompare (const void *x, const void *y)
MagickExport MagickBooleanType | SortColormapByIntensity (Image *image)
MagickExport MagickBooleanType | StripImage (Image *image)
MagickExport MagickBooleanType | SyncImage (Image *image)
MagickExport MagickBooleanType | TextureImage (Image *image, const Image *texture)
## Variables
const char * | BackgroundColor = "#ffffff"
const char * | BorderColor = "#dfdfdf"
const char * | DefaultTileFrame = "15x15+3+3"
const char * | DefaultTileGeometry = "120x120+4+3>"
const char * | DefaultTileLabel = "%f\n%wx%h\n%b"
const char * | ForegroundColor = "#000"
const char * | LoadImageTag = "Load/Image"
const char * | LoadImagesTag = "Load/Images"
const char * | MatteColor = "#bdbdbd"
const char * | PSDensityGeometry = "72.0x72.0"
const char * | PSPageGeometry = "612x792"
const char * | SaveImageTag = "Save/Image"
const char * | SaveImagesTag = "Save/Images"
const char * | TransparentColor = "#00000000"
const double | DefaultResolution = 72.0

## Define Documentation

#define AppendImageTag "Append/Image"

#define AverageImageTag "Average/Image"

#define ClipImagePathTag "ClipPath/Image"

#define CombineImageTag "Combine/Image"

#define SeparateImageTag "Separate/Image"

#define TextureImageTag "Texture/Image"

## Function Documentation

MagickExport ImageInfo* AcquireImageInfo | ( | void |  | ) |

MagickExport Image* AllocateImage | ( | const ImageInfo * | image_info | ) |

MagickExport MagickBooleanType AllocateImageColormap | ( | Image * | image,
|  | const unsigned long | colors |
| ) |  |  |

MagickExport void AllocateNextImage | ( | const ImageInfo * | image_info,
|  | Image * | image |
| ) |  |  |

MagickExport Image* AppendImages | ( | const Image * | image,
|  | const MagickBooleanType | stack,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* AverageImages | ( | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport ExceptionType CatchImageException | ( | Image * | image | ) |

MagickExport MagickBooleanType ClipImage | ( | Image * | image | ) |

MagickExport MagickBooleanType ClipImagePath | ( | Image * | image,
|  | const char * | pathname,
|  | const MagickBooleanType | inside |
| ) |  |  |

MagickExport Image* CloneImage | ( | const Image * | image,
|  | const unsigned long | columns,
|  | const unsigned long | rows,
|  | const MagickBooleanType | orphan,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport ImageInfo* CloneImageInfo | ( | const ImageInfo * | image_info | ) |

MagickExport Image* CombineImages | ( | const Image * | image,
|  | const ChannelType | channel,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType CycleColormapImage | ( | Image * | image,
|  | const long | displace |
| ) |  |  |

MagickExport Image* DestroyImage | ( | Image * | image | ) |

MagickExport ImageInfo* DestroyImageInfo | ( | ImageInfo * | image_info | ) |

MagickExport void DisassociateImageStream | ( | Image * | image | ) |

MagickExport Image* GetImageClipMask | ( | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport void GetImageException | ( | Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport void GetImageInfo | ( | ImageInfo * | image_info | ) |

MagickExport Image* GetImageMask | ( | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport ImageType GetImageType | ( | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport VirtualPixelMethod GetImageVirtualPixelMethod | ( | const Image * | image | ) |

MagickExport MagickBooleanType GradientImage | ( | Image * | image,
|  | const PixelPacket * | start_color,
|  | const PixelPacket * | stop_color |
| ) |  |  |

static int IntensityCompare | ( | const void * | x,
|  | const void * | y |
| ) |  |  | `[static]`

MagickExport long InterpretImageFilename | ( | char * | string,
|  | const size_t | length,
|  | const char * | format,
|  | int | value |
| ) |  |  |

MagickExport MagickBooleanType IsHighDynamicRangeImage | ( | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType IsImageObject | ( | const Image * | image | ) |

MagickExport MagickBooleanType IsTaintImage | ( | const Image * | image | ) |

static unsigned long MagickMax | ( | const unsigned long | x,
|  | const unsigned long | y |
| ) |  |  | `[inline, static]`

static unsigned long MagickMin | ( | const unsigned long | x,
|  | const unsigned long | y |
| ) |  |  | `[inline, static]`

MagickExport MagickBooleanType ModifyImage | ( | Image ** | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* NewMagickImage | ( | const ImageInfo * | image_info,
|  | const unsigned long | width,
|  | const unsigned long | height,
|  | const MagickPixelPacket * | background |
| ) |  |  |

MagickExport MagickBooleanType PlasmaImage | ( | Image * | image,
|  | const SegmentInfo * | segment,
|  | unsigned long | attenuate,
|  | unsigned long | depth |
| ) |  |  |

static Quantum PlasmaPixel | ( | const MagickRealType | pixel,
|  | const MagickRealType | noise |
| ) |  |  | `[inline, static]`

MagickExport Image* ReferenceImage | ( | Image * | image | ) |

MagickExport MagickBooleanType ResetImagePage | ( | Image * | image,
|  | const char * | page |
| ) |  |  |

MagickExport MagickBooleanType SeparateImageChannel | ( | Image * | image,
|  | const ChannelType | channel |
| ) |  |  |

MagickExport Image* SeparateImages | ( | const Image * | image,
|  | const ChannelType | channel,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType SetImageAlphaChannel | ( | Image * | image,
|  | const AlphaChannelType | alpha_type |
| ) |  |  |

MagickExport MagickBooleanType SetImageBackgroundColor | ( | Image * | image | ) |

MagickExport MagickBooleanType SetImageClipMask | ( | Image * | image,
|  | const Image * | clip_mask |
| ) |  |  |

MagickExport MagickBooleanType SetImageExtent | ( | Image * | image,
|  | const unsigned long | columns,
|  | const unsigned long | rows |
| ) |  |  |

MagickExport MagickBooleanType SetImageInfo | ( | ImageInfo * | image_info,
|  | const MagickBooleanType | rectify,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport void SetImageInfoBlob | ( | ImageInfo * | image_info,
|  | const void * | blob,
|  | const size_t | length |
| ) |  |  |

MagickExport void SetImageInfoFile | ( | ImageInfo * | image_info,
|  | FILE * | file |
| ) |  |  |

MagickExport MagickBooleanType SetImageMask | ( | Image * | image,
|  | const Image * | mask |
| ) |  |  |

MagickExport MagickBooleanType SetImageOpacity | ( | Image * | image,
|  | const Quantum | opacity |
| ) |  |  |

MagickExport MagickBooleanType SetImageStorageClass | ( | Image * | image,
|  | const ClassType | storage_class |
| ) |  |  |

MagickExport MagickBooleanType SetImageType | ( | Image * | image,
|  | const ImageType | image_type |
| ) |  |  |

MagickExport VirtualPixelMethod SetImageVirtualPixelMethod | ( | const Image * | image,
|  | const VirtualPixelMethod | virtual_pixel_method |
| ) |  |  |

MagickExport MagickBooleanType SortColormapByIntensity | ( | Image * | image | ) |

MagickExport MagickBooleanType StripImage | ( | Image * | image | ) |

MagickExport MagickBooleanType SyncImage | ( | Image * | image | ) |

MagickExport MagickBooleanType TextureImage | ( | Image * | image,
|  | const Image * | texture |
| ) |  |  |

## Variable Documentation

const char* BackgroundColor = "#ffffff"

const char * BorderColor = "#dfdfdf"

const double DefaultResolution = 72.0

const char * DefaultTileFrame = "15x15+3+3"

const char * DefaultTileGeometry = "120x120+4+3>"

const char * DefaultTileLabel = "%f\n%wx%h\n%b"

const char * ForegroundColor = "#000"

const char * LoadImagesTag = "Load/Images"

const char * LoadImageTag = "Load/Image"

const char * MatteColor = "#bdbdbd"

const char * PSDensityGeometry = "72.0x72.0"

const char * PSPageGeometry = "612x792"

const char * SaveImagesTag = "Save/Images"

const char * SaveImageTag = "Save/Image"

const char * TransparentColor = "#00000000"